Subject: bug#23171: 25.0.92; Key binding conventions for all modifiers

From: Stefan Kangas <[email-masked]>
Date: Wed, 15 Jan 2020 06:55:12 +0100

tags 23171 + notabug wontfix
close 23171
thanks

Eli Zaretskii <[email-masked]> writes:

>> >  > The manual entry "Key binding conventions" talks only about a small
>> >  > subset of possible key bindings, such as the C-c prefix and the function
>> >  > keys.  Keys with Meta, Super, Hyper, and Alt are not documented.  The
>> >  > manual should contain conventions/rules for all possible keys.
>> >
>> >  I'm not sure I understand the essence of the report.  There's a whole
>> >  section (named, unsurprisingly, "Key Bindings") dedicated to key
>> >  bindings, and a subsection there named "Modifier Keys" covers all the
>> >  modifiers, AFAICT.
>> >
>> > What I mean is a specification which combinations are reserved for the user, minor modes, and major modes. Context is
>> > http://debbugs.gnu.org/cgi/bugreport.cgi?bug=22604, where such an addition was requested for C-c combinations. Here I request
>> > one for all keys.
>> 
>> Which conventions are we talking about here more specifically?  Could
>> you enumerate them or give a couple of examples?
>
> FWIW, I don't see any need for any further specifications.  The manual
> says what keys to reserve; all those which aren't mentioned, including
> with modifiers, aren't reserved.

I agree.

And since there has been no further comments within 9 weeks, I'm now
also closing this bug report.

Best regards,
Stefan Kangas